accessList
Configuration for accessList resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| id | <String> | Read-write | Standard access list number in the range <0-99> or a ZebOS access-list name. |
| remark | <String> | Read-write | Access list entry comment. |
| action | <String> | Read-write | Allow or deny if traffic matches the rule.
Possible values: deny, permit
|
| address | <String> | Read-write | Address to match. |
| wildcard | <String> | Read-write | Wildcard bits. |
Operations
(click to see Properties )
- ADD
- SET
- UNSET
- DELETE
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"accessList" : {
"id" : <String>,
"remark" : <String>,
"rules" : {
"action" : <String>,
"address" : <String>,
"wildcard" : <String>
}
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
set
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"accessList" : {
"id" : <String>,
"remark" : <String>,
"rules" : {
"action" : <String>,
"address" : <String>,
"wildcard" : <String>
}
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"accessList" : {
"id" : <String>,
"remark" : true,
"rules" : {
"action" : <String>,
"address" : <String>,
"wildcard" : <String>
}
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList?args=id:<String> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/accessList?args=id:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/accessList ?args=id:<String>
Use this query-parameter to get accessList resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"accessList" : [{
"id" : <String>,
"remark" : <String>,
"rules" : [{
"action" : <String>,
"address" : <String>,
"wildcard" : <String>
}]
}]
}}